/*
    TweenStart(index, start, destination, duration, algorithm, boundary script, end script);
    Stephen Loney
*/

// argument0 = tween index
// argument1 = start
// argument2 = destination
// argument3 = duration
// argument4 = tweening algorithm
// argument5 = boundary script
// argument6 = custom end script

with(sharedTweener)
{
    //  retreive tween index variable
    var _index;
    _index = argument0;
    
    //  set tweened variable to start
    SetLocal(tweens[_index,0], tweens[_index,1], argument1);

    //  default values
    tweens[_index,2] = argument1;        // start
    tweens[_index,3] = argument2;        // destination
    tweens[_index,4] = argument3;        // duration
    tweens[_index,5] = EaseLinear;       // easing algorithm
    tweens[_index,6] = TweenBoundStop;   // tweener bounds script
    tweens[_index,7] = Null;             // general bounds script
    tweens[_index,8] = argument2 - argument1; // calculated change (destination - start)
    tweens[_index,9] = 0;    // current timer value
    tweens[_index,10] = 1;    // timer direction
    tweens[_index,11] = 1;    // timer speed modifier
    tweens[_index,12] = true; // timer active flag
    tweens[_index,13] = true; // instance is active

    //  assign optional argument values
    switch(argument_count)
    {
        case 7: tweens[_index,7] = argument6;
        case 6: tweens[_index,6] = argument5;
        case 5: tweens[_index,5] = argument4;
    }
}
